# PlayerLecternPageChangeEvent.PageChangeDirection (Scissors-API 1.19-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.player, class: PlayerLecternPageChangeEvent, enum: PageChangeDirection

Package io.papermc.paper.event.player

# Enum Class PlayerLecternPageChangeEvent.PageChangeDirection

java.lang.Object
java.lang.Enum<PlayerLecternPageChangeEvent.PageChangeDirection>
io.papermc.paper.event.player.PlayerLecternPageChangeEvent.PageChangeDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerLecternPageChangeEvent.PageChangeDirection>`, `Constable`

Enclosing class:
  PlayerLecternPageChangeEvent

public static enum PlayerLecternPageChangeEvent.PageChangeDirection extends Enum<PlayerLecternPageChangeEvent.PageChangeDirection>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT`
`RIGHT`

## Method Summary

Modifier and Type
Method
Description
`static PlayerLecternPageChangeEvent.PageChangeDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerLecternPageChangeEvent.PageChangeDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT

public static final PlayerLecternPageChangeEvent.PageChangeDirection LEFT

### RIGHT

public static final PlayerLecternPageChangeEvent.PageChangeDirection RIGHT

## Method Details

### values

public static PlayerLecternPageChangeEvent.PageChangeDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerLecternPageChangeEvent.PageChangeDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null